Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2021 05:47:57 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am trying fo return an item for a month already, I have had different conversation regarding this with the contact center and not even once they fix the problem, you can verify what I am talking if you did record my calls.
I tried to return following the steps on line after 5 days from the moment I bought it, they never came to pick up the item, after that I called 4 times! 2 days ago the answer of the contact center was that one supervisor was going to call me and yet absolutely nothing. It is not anymore about the money, it is about the horrible service that I am receiving from you. I can’t believe how deficient is the service.  Order number https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2403906